<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Traits\Autenticable;
use DB;

class FlujoPagoController extends Controller
{
    use Autenticable;

    public function index(Request $request)
    {
        $datos = $request->json()->all();

        $token = $request->header('token');

        $usuario = $this->valida_token($token);
        if (is_null($usuario)) {
            return $this->tokenInvalido();
        }

        $datos = DB::table('conf_flujo_pago')
            ->select('flujo_id','tipo','estado')
            ->whereRaw('rut_empresa = \''.$usuario->rut_empresa.'\'')
            ->get();

        return response()->json($datos);
    }


}
